# TAN Verification

The TAN Number Validation API instantly verifies TAN numbers and provides associated company details, ensuring accurate compliance and efficient tax-related validation.

### TAN Verification

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/tan_verification`

#### Sample Request Body

| Body         | Type   | Mandatory | Description                |
| ------------ | ------ | --------- | -------------------------- |
| `tan_number` | string | Yes       | TAN number to be validate. |

#### Sample Post Parameters

```json
{
  "tan_number": "ABCD12345A",
}
```

#### Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "1ee90281-daea-40e6-9125-8e859b432948",
  "status": "completed",
  "result": {
    "is_valid": true,
    "company_name": "NIPPON INDIA MUTUAL FUND"
  },
  "requested_at": "2026-02-25T11:03:22.711Z",
  "completed_at": "2026-02-25T11:03:24.119Z"
}
```

#### Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "TAN Number should not be empty",
  "error": {
    "message": "TAN Number should not be empty",
    "field": "tan_number",
    "code": "BAD_REQUEST"
  }
}

{
  "success": false,
  "code": 400,
  "message": "TAN Number is invalid",
  "error": {
    "message": "TAN Number is invalid",
    "field": "tan_number",
    "code": "BAD_REQUEST"
  }
}
```

#### In Progress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "in_progress",
  "requested_at": "2026-02-25T14:40:18.115Z"
}
```

#### Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "310f8e78-4d6c-405a-bc9f-8760d84c7d0e",
  "status": "failed",
  "error": {
    "message": "companyName is not found",
    "code": "ERROR"
  },
  "requested_at": "2026-02-25T11:02:17.404Z",
  "completed_at": "2026-02-25T11:02:18.263Z"
}
```

### Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/tan_verification`

#### Query Parameters

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

#### Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "1ee90281-daea-40e6-9125-8e859b432948",
  "status": "completed",
  "result": {
    "is_valid": true,
    "company_name": "NIPPON INDIA MUTUAL FUND"
  },
  "requested_at": "2026-02-25T11:03:22.711Z",
  "completed_at": "2026-02-25T11:03:24.119Z"
}
```

#### Inprogress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "in_progress",
  "requested_at": "2026-02-25T14:40:18.115Z"
}
```

#### Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "310f8e78-4d6c-405a-bc9f-8760d84c7d0e",
  "status": "failed",
  "error": {
    "message": "companyName is not found",
    "code": "ERROR"
  },
  "requested_at": "2026-02-25T11:02:17.404Z",
  "completed_at": "2026-02-25T11:02:18.263Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/tan-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
